Package: gpsdrive
Version: 2.10~pre4-6.dfsg-3ubuntu4
Severity: important

The version of gspdrive in the Debian repos is very old and needs to be 
updated. the current version of the package doesn't even work as a GPS program 
due to an incompatibility - the main purpose of the program.

The new version of gpsdrive has lots of bug fixes and changes the application 
quite a bit (the build system has even changed).

I would ask that someone package the new gpsdrive so that it becomes a usable 
application for what it was created for. I started some of the work looking at 
the patches that had been incorporated etc. and updated the patches that are 
still needed, the can be see in this ZIP

(NOTE: The new version of gpsdrive using cmake)


-- System Information:
Debian Release: squeeze/sid
  APT prefers lucid-updates
  APT policy: (500, 'lucid-updates'), (500, 'lucid-security'), (500, 'lucid')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-22-generic (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gpsdrive depends on:
ii  gpsdrive-dat 2.10~pre4-6.dfsg-3ubuntu4   Car navigation system
ii  libart-2.0-2 2.3.20-2build1              Library of functions for 2D graphi
ii  libatk1.0-0  1.30.0-0ubuntu2.1           The ATK accessibility toolkit
ii  libboost-fil 1.40.0-4ubuntu4             filesystem operations (portable pa
ii  libboost-sys 1.40.0-4ubuntu4             Operating system (e.g. diagnostics
ii  libc6        2.11.1-0ubuntu7.2           Embedded GNU C Library: Shared lib
ii  libcairo2    1.8.10-2ubuntu1             The Cairo 2D vector graphics libra
ii  libdbus-1-3  1.2.16-2ubuntu4             simple interprocess messaging syst
ii  libdbus-glib 0.84-1                      simple interprocess messaging syst
ii  libfontconfi 2.8.0-2ubuntu1              generic font configuration library
ii  libfreetype6 2.3.11-1ubuntu2.1           FreeType 2 font engine, shared lib
ii  libgcc1      1:4.4.3-4ubuntu5            GCC support library
ii  libglib2.0-0 2.24.1-0ubuntu1             The GLib library of C routines
ii  libgtk2.0-0  2.20.1-0ubuntu2+menuproxy11 The GTK+ graphical user interface 
ii  libmapnik0.7 0.7.0-2ubuntu1              C++/Python toolkit for developing 
ii  libpango1.0- 1.28.0-0ubuntu2             Layout and rendering of internatio
ii  libpcre3     7.8-3build1                 Perl 5 Compatible Regular Expressi
ii  libstdc++6   4.4.3-4ubuntu5              The GNU Standard C++ Library v3
ii  libxml2      2.7.6.dfsg-1ubuntu1         GNOME XML library
ii  openstreetma 1:0.0.svn18468-1            Collection of map icons (classic s
ii  openstreetma 1:0.0.svn18468-1            Collection of map icons (square se

Versions of packages gpsdrive recommends:
pn  gpsd                          <none>     (no description available)
pn  gpsdrive-scripts              <none>     (no description available)

Versions of packages gpsdrive suggests:
pn  flite | festival              <none>     (no description available)
pn  mysql-server                  <none>     (no description available)
pn  osm2pgsql                     <none>     (no description available)
pn  postgresql-8.3-postgis        <none>     (no description available)

-- no debconf information

Pkg-grass-devel mailing list

Reply via email to